require( "scripts/common/simple_object.lua" );

local	indicator_pos_x = -10;
local	indicator_pos_y = -40;

pet_floor_dirty = simple_object:new{
	anchor_x=-10,
	anchor_y=-1000,
	offset_x=10,
	offset_y=10,
	texture="anim/objects/petfloordirty/petfloordirty",
	--animation_script="anim/objects/default_animation_script.lua",
	glow_texture="anim/objects/petfloordirty/petfloordirty_glow",
	glow_animation_script="anim/objects/default_glow_animation_script.lua",
	indicator_ui_x=indicator_pos_x,
	indicator_ui_y=indicator_pos_y,
	dad_ui_x=indicator_pos_x-35,
	dad_ui_y=indicator_pos_y,
	mom_ui_x=indicator_pos_x+35,
	mom_ui_y=indicator_pos_y,
	
	character_messing_animation = "laydown",
	
	messing_state_time = 3000,
	cleaning_state_time = 3000,
}

function pet_floor_dirty:new(o)
	o = o or {}   -- create object if user does not provide one
	setmetatable(o, self)
	self.__index = self
	return o
end